{
  "realm": "chesscubing",
  "enabled": true,
  "displayName": "ChessCubing",
  "registrationAllowed": true,
  "rememberMe": true,
  "resetPasswordAllowed": true,
  "loginWithEmailAllowed": true,
  "duplicateEmailsAllowed": false,
  "editUsernameAllowed": false,
  "sslRequired": "external",
  "roles": {
    "realm": [
      {
        "name": "admin",
        "description": "Administrateur ChessCubing"
      },
      {
        "name": "organizer",
        "description": "Organisateur de rencontre"
      },
      {
        "name": "player",
        "description": "Joueur ChessCubing"
      }
    ]
  },
  "clients": [
    {
      "clientId": "chesscubing-web",
      "name": "ChessCubing Web",
      "description": "Client OIDC public pour l'application Blazor WebAssembly.",
      "enabled": true,
      "protocol": "openid-connect",
      "publicClient": true,
      "standardFlowEnabled": true,
      "directAccessGrantsEnabled": true,
      "serviceAccountsEnabled": false,
      "implicitFlowEnabled": false,
      "frontchannelLogout": true,
      "rootUrl": "http://localhost:8080/",
      "baseUrl": "http://localhost:8080/",
      "redirectUris": [
        "http://localhost:8080/*"
      ],
      "webOrigins": [
        "http://localhost:8080"
      ],
      "attributes": {
        "pkce.code.challenge.method": "S256",
        "post.logout.redirect.uris": "http://localhost:8080/*"
      },
      "defaultClientScopes": [
        "web-origins",
        "acr",
        "profile",
        "roles",
        "email"
      ]
    }
  ]
}
